Subject: bug#78363: Home is read-only in guix shell container

From: Z572 <[email-masked]>
Date: Sun, 11 May 2025 23:35:44 +0800

Rutherther via Bug reports for GNU Guix <[email-masked]> writes:

>> I am not sure whether this is intended behavior, but it seems weird to 
>> me. Inside e.g.
>> 
>> guix shell -Cu test coreutils
>> 
>> /home/test is mounted read-only and I do not see any way to make it 
>> writable without sharing a host directory.
>
> Yes this is intentional. The root has been changed to read only
> recently. See the guix news. Use --writable-root to restore the previous behavior.

I think this is a bug, just like issues.guix.gnu.org/78272